diff --git a/scripts/setup/generic.gcc-13.0 b/scripts/setup/generic.gcc-13.0
deleted file mode 100644
index 326c685db5ceb89bd230add42e42c3032742f96d..0000000000000000000000000000000000000000
--- a/scripts/setup/generic.gcc-13.0
+++ /dev/null
@@ -1,2 +0,0 @@
-
-WORK_DIR_NAME="deploy_yaco_20241119_132122CET"
diff --git a/scripts/setup/generic.gcc-13.0.sh b/scripts/setup/generic.gcc-13.0.sh
new file mode 100644
index 0000000000000000000000000000000000000000..3effb19229c38bc6136de0ddedb7c09f3683f411
--- /dev/null
+++ b/scripts/setup/generic.gcc-13.0.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+while [ $# -gt 0 ]; do
+    case "$1" in
+        --yaco-root)
+            YACO_ROOT=$2
+            ABSOLUTE_YACO_ROOT=$(readlink -f "${YACO_ROOT}")
+            shift
+            break
+            ;;
+        *)
+            echo "Error: unknown argument '$1'. Call this script with only --yaco-root and path to your yaco-root"
+            exit 1
+            ;;
+    esac
+done
+
+echo "Absolute path provided as the yaco root: $ABSOLUTE_YACO_ROOT"
+
+# take the right compiler
+CC=mpicc
+FC=mpif90
+CXX=mpicxx
+MPI_LAUNCH=mpiexec
+
+CFLAGS='-g -O2'
+LIBS="-Wl,--as-needed"
+
+BUILD_DIRECTORY=$(pwd)
+THREADS=8
+# build dependencies for yaco
+echo "=== Building yaco dependencies ==="
+bash $ABSOLUTE_YACO_ROOT/scripts/setup/build-dependencies.sh -j $THREADS --dependency all --work_dir $BUILD_DIRECTORY
+
+# build yaco
+bash $ABSOLUTE_YACO_ROOT/scripts/setup/build-yaco.sh -j $THREADS --work_dir $BUILD_DIRECTORY
+
+
+#script_dir=$(cd "$(dirname "$0")"; pwd)
+#icon_dir=$(cd "${script_dir}/../.."; pwd)
+
diff --git a/scripts/setup/levante.intel-2021.5.0_ompi415.sh b/scripts/setup/levante.intel-2021.5.0_ompi415.sh
new file mode 100644
index 0000000000000000000000000000000000000000..05cffa15d02c67622519d10372ccf4c03520e1ff
--- /dev/null
+++ b/scripts/setup/levante.intel-2021.5.0_ompi415.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+while [ $# -gt 0 ]; do
+    case "$1" in
+        --yaco-root)
+            YACO_ROOT=$2
+            ABSOLUTE_YACO_ROOT=$(readlink -f "${YACO_ROOT}")
+            shift
+            break
+            ;;
+        *)
+            echo "Error: unknown argument '$1'. Call this script with only --yaco-root and path to your yaco-root"
+            exit 1
+            ;;
+    esac
+done
+
+echo "Absolute path provided as the yaco root: $ABSOLUTE_YACO_ROOT"
+
+# take the right compiler
+MPI_ROOT='/sw/spack-levante/openmpi-4.1.5-j4eizi'
+CC="${MPI_ROOT}/bin/mpicc"
+FC="${MPI_ROOT}/bin/mpif90"
+CXX="${MPI_ROOT}/bin/mpicxx"
+CFLAGS='-g -O2'
+LDFLAGS="-c++libs -cuda"
+LIBS="-Wl,--as-needed"
+
+MPI_LAUNCH="${MPI_ROOT}/bin/mpiexec"
+
+
+BUILD_DIRECTORY=$(pwd)
+THREADS=8
+# build dependencies for yaco
+echo "=== Building yaco dependencies ==="
+bash $ABSOLUTE_YACO_ROOT/scripts/setup/build-dependencies.sh -j $THREADS --dependency all --work_dir $BUILD_DIRECTORY
+
+# build yaco
+bash $ABSOLUTE_YACO_ROOT/scripts/setup/build-yaco.sh -j $THREADS --work_dir $BUILD_DIRECTORY
+
+
+script_dir=$(cd "$(dirname "$0")"; pwd)
+icon_dir=$(cd "${script_dir}/../.."; pwd)
+